apiVersion: v1
kind: ConfigMap
metadata:
  creationTimestamp: 2022-07-14T17:00:00Z
  name: rpi4-config
  namespace: rpiuav
data:
  ANNOUNCER_CAMERA_URL: rtsp://10.10.10.2:8554/video0
  ANNOUNCER_SYSTEM_ID: "1"
  STREAMER_CAMERA_PIPELINE0: libcamerasrc ! video/x-raw,width=1280,height=720,format=NV12,colorimetry=bt601,interlace-mode=progressive ! videoflip video-direction=180 ! videorate ! video/x-raw,framerate=30/1 ! v4l2convert ! v4l2h264enc output-io-mode=2 extra-controls="controls,repeat_sequence_header=1,video_bitrate_mode=1,h264_profile=3,video_bitrate=3000000" ! video/x-h264,profile=main,level=(string)4 ! queue max-size-buffers=1 name=q_enc ! h264parse ! rtph264pay config-interval=1 name=pay0 pt=96
  ROUTER_CONFIG: |
    [General]
    #Mavlink-router serves on this TCP port
    TcpServerPort=5760
    ReportStats=false
    MavlinkDialect=auto

    [UartEndpoint FlightControllerSerial]
    Device = /dev/serial0
    Baud = 921600

    [UdpEndpoint FlightControllerUDP]
    Mode = Eavesdropping
    Address = 0.0.0.0
    Port = 14555

    [UdpEndpoint video0]
    Mode = Server
    Address = 0.0.0.0
    Port = 14560
    AllowMsgIdOut = 0,4,76,322,323

    [UdpEndpoint video1]
    Mode = server
    Address = 0.0.0.0
    Port = 14561
    AllowMsgIdOut = 0,4,76,322,323

    [UdpEndpoint GCS]
    Mode = Normal
    Address = 10.10.10.70
    Port = 14550
